aboutsummaryrefslogtreecommitdiff
path: root/testsuite/bzcat2.tests
diff options
context:
space:
mode:
Diffstat (limited to 'testsuite/bzcat2.tests')
-rwxr-xr-xtestsuite/bzcat2.tests28
1 files changed, 28 insertions, 0 deletions
diff --git a/testsuite/bzcat2.tests b/testsuite/bzcat2.tests
new file mode 100755
index 000000000..c1d384464
--- /dev/null
+++ b/testsuite/bzcat2.tests
@@ -0,0 +1,28 @@
+#!/bin/sh
+# Copyright 2011 by Denys Vlasenko
+# Licensed under GPLv2, see file LICENSE in this source tree.
+
+. ./testing.sh
+
+# testing "test name" "command" "expected result" "file input" "stdin"
+
+# "input" file is bzipped file with "a\n" data
+testing "bzcat can print many files" \
+"$ECHO -ne '$hexdump' | bzcat input input; echo \$?" \
+"\
+a
+a
+0
+" "\
+\x42\x5a\x68\x39\x31\x41\x59\x26\x53\x59\x63\x3e\xd6\xe2\x00\x00\
+\x00\xc1\x00\x00\x10\x20\x00\x20\x00\x21\x00\x82\xb1\x77\x24\x53\
+\x85\x09\x06\x33\xed\x6e\x20\
+" ""
+
+# "input" file is bzipped zero byte file
+testing "bzcat can handle compressed zero-length bzip2 files" \
+"$ECHO -ne '$hexdump' | bzcat input input; echo \$?" \
+"0\n" \
+"\x42\x5a\x68\x39\x17\x72\x45\x38\x50\x90\x00\x00\x00\x00" ""
+
+exit $FAILCOUNT